package com.bjtdba.entity.order;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

/**
 * (Recommend)实体类
 *
 * @author makejava
 * @since 2022-10-19 13:21:54
 */
public class Recommend implements Serializable {
    private static final long serialVersionUID = 651578199574092373L;
    
    private Integer id;
    /**
     * 商品id
     */
    private Integer productId;
    /**
     * 名称
     */
    private String name;
    /**
     * 展示时间
     */
    private Date showTime;
    /**
     * 1-上架。2-下架
     */
    private Integer status;
    /**
     * 推荐图
     */
    private String recommendImage;
    /**
     * 详情
     */
    private String details;
    /**
     * 图片
     */
    private String images;

    private List<Date> dates=new ArrayList<Date>();


    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getProductId() {
        return productId;
    }

    public void setProductId(Integer productId) {
        this.productId = productId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Date getShowTime() {
        return showTime;
    }

    public void setShowTime(Date showTime) {
        this.showTime = showTime;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getRecommendImage() {
        return recommendImage;
    }

    public void setRecommendImage(String recommendImage) {
        this.recommendImage = recommendImage;
    }

    public String getDetails() {
        return details;
    }

    public void setDetails(String details) {
        this.details = details;
    }

    public String getImages() {
        return images;
    }

    public void setImages(String images) {
        this.images = images;
    }

    public List<Date> getDates() {
        return dates;
    }

    public void setDates(List<Date> dates) {
        this.dates = dates;
    }
}

